﻿Option Strict Off
Option Explicit On

Imports System.Collections.Generic
Imports System.Reflection
Imports System.Data
Imports Infragistics.Win.UltraWinTree
Imports Infragistics.Win.UltraWinExplorerBar
Imports System.Drawing

Public Class Form1

    Private Sub Form1_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        Dim lGroup As UltraExplorerBarGroup = Nothing
        Dim NewTreeView As Infragistics.Win.UltraWinTree.UltraTree = Nothing
        Dim lNewNode As Infragistics.Win.UltraWinTree.UltraTreeNode = Nothing

        Try
            UltraExplorerBar1.Style = Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarStyle.OutlookNavigationPane
            UltraExplorerBar1.ViewStyle = UltraExplorerBarViewStyle.Office2007
            UltraExplorerBar1.NavigationPaneExpansionMode = Infragistics.Win.UltraWinExplorerBar.NavigationPaneExpansionMode.OnButtonClick
            UltraExplorerBar1.GroupSettings.Style = GroupStyle.ControlContainer
            UltraExplorerBar1.GroupSettings.AllowEdit = Infragistics.Win.DefaultableBoolean.True

            lGroup = UltraExplorerBar1.Groups.Add
            lGroup.Text = "Group 1"
            lGroup.Settings.NavigationPaneCollapsedGroupAreaText = "Group 1"
            lGroup.Key = "Group 1"

            NewTreeView = New Infragistics.Win.UltraWinTree.UltraTree
            NewTreeView.Parent = lGroup.Container
            NewTreeView.Location = New Point(0, 0)
            NewTreeView.BorderStyle = Infragistics.Win.UIElementBorderStyle.None
            NewTreeView.Dock = Windows.Forms.DockStyle.Fill
            NewTreeView.HideSelection = False

            lNewNode = New Infragistics.Win.UltraWinTree.UltraTreeNode
            lNewNode.Text = "Item 1"
            lNewNode.Key = "Item 1"
            NewTreeView.Nodes.Add(lNewNode)

            lNewNode = New Infragistics.Win.UltraWinTree.UltraTreeNode
            lNewNode.Text = "Item 2"
            lNewNode.Key = "Item 2"
            NewTreeView.Nodes.Add(lNewNode)


            lGroup = UltraExplorerBar1.Groups.Add
            lGroup.Text = "Group 2"
            lGroup.Settings.NavigationPaneCollapsedGroupAreaText = "Group 2"
            lGroup.Key = "Group 2"

            NewTreeView = New Infragistics.Win.UltraWinTree.UltraTree
            NewTreeView.Parent = lGroup.Container
            NewTreeView.Location = New Point(0, 0)
            NewTreeView.BorderStyle = Infragistics.Win.UIElementBorderStyle.None
            NewTreeView.Dock = Windows.Forms.DockStyle.Fill
            NewTreeView.HideSelection = False

            lNewNode = New Infragistics.Win.UltraWinTree.UltraTreeNode
            lNewNode.Text = "Item 1"
            lNewNode.Key = "Item 1"
            NewTreeView.Nodes.Add(lNewNode)

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try





    End Sub

    Private Sub UltraExplorerBar1_DragOver(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles UltraExplorerBar1.DragOver
        Debug.Print("UltraExplorerBar1_DragOver")
    End Sub

    Private Sub UltraExplorerBar1_GroupDragOver(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinExplorerBar.GroupDragOverEventArgs) Handles UltraExplorerBar1.GroupDragOver
        Debug.Print("UltraExplorerBar1_GroupDragOver")
    End Sub

    Private Sub UltraExplorerBar1_ItemDragOver(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinExplorerBar.ItemDragOverEventArgs) Handles UltraExplorerBar1.ItemDragOver
        Debug.Print("UltraExplorerBar1_ItemDragOver")
    End Sub


End Class
